%global apiver 0.3

Name:           gegl03
Version:        0.3.30
Release:        1%{?dist}
Summary:        Graph based image processing framework

# The binary is under the GPL, while the libs are under LGPL.
# We only install the libs, which makes the license:
License:        LGPLv3+
URL:            http://www.gegl.org/
Source0:        http://download.gimp.org/pub/gegl/%{apiver}/gegl-%{version}.tar.bz2

BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  enscript
BuildRequires:  gettext-devel >= 0.19.8
BuildRequires:  gobject-introspection-devel >= 1.32.0
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  libspiro-devel
BuildRequires:  perl-interpreter
BuildRequires:  ruby
BuildRequires:  SDL-devel >= 1.2.0
BuildRequires:  suitesparse-devel
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(babl) >= 0.1.41
BuildRequires:  pkgconfig(cairo) >= 1.12.2
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(jasper) >= 1.900.1
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(lcms2) >= 2.8
BuildRequires:  pkgconfig(lensfun) >= 0.2.5
BuildRequires:  pkgconfig(libraw) >= 0.15.4
BuildRequires:  pkgconfig(libpng) >= 1.6.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.40.6
BuildRequires:  pkgconfig(libv4l2) >= 1.0.1
BuildRequires:  pkgconfig(libwebp) >= 0.5.0
BuildRequires:  pkgconfig(lua) >= 5.1.0
%ifarch %{arm} %{ix86} x86_64
BuildRequires:  pkgconfig(luajit) >= 2.0.4
%endif
BuildRequires:  pkgconfig(OpenEXR) >= 1.6.1
BuildRequires:  pkgconfig(pango) >= 1.38.0
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.2
BuildRequires:  pkgconfig(vapigen) >= 0.20.0
BuildRequires:  pkgconfig(libtiff-4) >= 4.0.0

# operations/common/magick-load.c has a fallback image loader which uses /usr/bin/convert
Requires:       /usr/bin/convert

# gegl contains a stripped down version of poly2tri-c, a C+glib port of
# poly2tri, a 2D constrained Delaunay triangulation library.
# Version information:
#     CURRENT REVISION: b27c5b79df2ffa4e2cb37f9e5536831f16afb11b
#     CACHED ON: August 11th, 2012
Provides:       bundled(poly2tri-c)


%description
GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies and a simple well defined API.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name} API version 0.3.


%prep
%setup -q -n gegl-%{version}


%build
autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install

# Remove .la files
find $RPM_BUILD_ROOT -name '*.la' -delete

# Remove unversioned binaries that would make gegl-0.2 and gegl-0.3
# parallel installations conflict
rm -rf $RPM_BUILD_ROOT%{_bindir}

# Remove API documentation that is currently broken
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%find_lang gegl-%{apiver}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gegl-%{apiver}.lang
%license COPYING.LESSER
%{_libdir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so.*
# FIXME: gegl-npd and gegl-sc should be versioned as well
%{_libdir}/libgegl-npd-%{apiver}.so
%{_libdir}/libgegl-sc-%{apiver}.so
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib

%files devel
%{_includedir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so
%{_libdir}/pkgconfig/gegl-%{apiver}.pc
%{_libdir}/pkgconfig/gegl-sc-%{apiver}.pc
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%{_datadir}/vala/vapi/gegl-%{apiver}.deps
%{_datadir}/vala/vapi/gegl-%{apiver}.vapi


%changelog
* Tue Mar 27 2018 Nils Philippsen <nils@tiptoe.de> - 0.3.30-1
- Update to 0.3.30

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Debarshi Ray <rishi@fedoraproject.org> - 0.3.28-1
- Update to 0.3.28

* Tue Dec 19 2017 Nils Philippsen <nils@tiptoe.de> - 0.3.26-1
- Update to 0.3.26

* Sat Nov 25 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.24-1
- Update to 0.3.24

* Mon Nov 13 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.22-1
- Update to 0.3.22

* Fri Aug 25 2017 Nils Philippsen <nils@tiptoe.de> - 0.3.20-1
- version 0.3.20
- update dependency versions
- list poly2tri-c as bundled

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18

* Thu May 25 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.16-1
- Update to 0.3.16

* Mon Feb 27 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.14-1
- Update to 0.3.14

* Mon Feb 13 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.12-1
- Update to 0.3.12

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 01 2017 Sandro Mani <manisandro@gmail.com> - 0.3.10-2
- Rebuild (libwebp)

* Thu Jan 19 2017 Debarshi Ray <rishi@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10

* Tue Dec 27 2016 Jon Ciesla <limburgher@gmail.com> - 0.3.8-5
- Rebuild for new LibRaw.

* Fri Dec 02 2016 Kalev Lember <klember@redhat.com> - 0.3.8-4
- Rebuilt for libjasper soname bump

* Tue Sep 06 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 0.3.8-3
- Fix FTBFS on ARM targets (#1373722)

* Tue Aug 23 2016 Dan Horák <dan[at]danny.cz> - 0.3.8-2
- luajit is available only on selected arches

* Sun Jul 31 2016 Nils Philippsen <nils@tiptoe.de> - 0.3.8-1
- version 0.3.8

* Tue Jun 21 2016 Debarshi Ray <rishi@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6

* Fri Mar 04 2016 Debarshi Ray <rishi@fedoraproject.org> - 0.3.5-0.1.gitbb8fe84
- Update to latest git master
- Drop upstreamed patch

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 Rex Dieter <rdieter@fedoraproject.org> 0.3.4-4
- rebuild (lensfun)

* Mon Dec 28 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.4-3
- Rebuilt for libwebp soname bump

* Tue Dec 08 2015 Debarshi Ray <rishi@fedoraproject.org> - 0.3.4-2
- Fix a typo that breaks the build on big-endian (#1286625)

* Wed Nov 25 2015 Nils Philippsen <nils@redhat.com> - 0.3.4-1
- version 0.3.4

* Tue Nov 24 2015 Nils Philippsen <nils@redhat.com> - 0.3.2-1
- version 0.3.2
- versionize build requirements
- add missing libtiff build requirement

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 0.3.0-5
- rebuild (exiv2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Nils Philippsen <nils@redhat.com> - 0.3.0-3
- rebuild for suitesparse-4.4.4

* Thu Jun 04 2015 Debarshi Ray <rishi@fedoraproject.org> - 0.3.0-2
- Restore %%{?dist}

* Wed Jun 03 2015 Debarshi Ray <rishi@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-0.4.gitc9bbc81
- Rebuilt for GCC 5 C++11 ABI change

* Fri Mar 13 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-0.3.gitc9bbc81
- Package review fixes (#1201469)
- Fix grammar errors in package description
- Add a runtime dep on /usr/bin/convert

* Fri Mar 13 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-0.2.gitc9bbc81
- Update to latest git master, fixing the build on arm

* Wed Mar 04 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-0.1.git06aea8e
- Initial Fedora packaging
